connection_data = {"ALA": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "HB1", "HB2", "HB3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB1": ["CB"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "ARG": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD": ["CG", "NE", "HD2", "HD3"],
         "CG": ["CB", "CD", "HG2", "HG3"],
         "CZ": ["NE", "NH1", "NH2"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD2": ["CD"],
         "HD3": ["CD"],
         "HE": ["NE"],
         "HG2": ["CG"],
         "HG3": ["CG"],
         "HH11": ["NH1"],
         "HH12": ["NH1"],
         "HH21": ["NH2"],
         "HH22": ["NH2"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "NE": ["CD", "CZ", "HE"],
         "NH1": ["CZ", "HH11", "HH12"],
         "NH2": ["CZ", "HH21", "HH22"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "ASN": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CG": ["CB", "OD1", "ND2"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD21": ["ND2"],
         "HD22": ["ND2"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "ND2": ["CG", "HD21", "HD22"],
         "O": ["C"],
         "OD1": ["CG"],
         "OXT": ["C", "HXT"]},
 "ASP": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CG": ["CB", "OD1", "OD2"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD2": ["OD2"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OD1": ["CG"],
         "OD2": ["CG", "HD2"],
         "OXT": ["C", "HXT"]},
 "CYS": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "SG", "HB2", "HB3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HG": ["SG"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"],
         "SG": ["CB", "HG"]},
 "GLN": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD": ["CG", "OE1", "NE2"],
         "CG": ["CB", "CD", "HG2", "HG3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HE21": ["NE2"],
         "HE22": ["NE2"],
         "HG2": ["CG"],
         "HG3": ["CG"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "NE2": ["CD", "HE21", "HE22"],
         "O": ["C"],
         "OE1": ["CD"],
         "OXT": ["C", "HXT"]},
 "GLU": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD": ["CG", "OE1", "OE2"],
         "CG": ["CB", "CD", "HG2", "HG3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HE2": ["OE2"],
         "HG2": ["CG"],
         "HG3": ["CG"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OE1": ["CD"],
         "OE2": ["CD", "HE2"],
         "OXT": ["C", "HXT"]},
 "GLY": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "HA2", "HA3"],
         "H": ["N"],
         "H2": ["N"],
         "HA2": ["CA"],
         "HA3": ["CA"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "HIS": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD2": ["CG", "NE2", "HD2"],
         "CE1": ["ND1", "NE2", "HE1"],
         "CG": ["CB", "ND1", "CD2"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD1": ["ND1"],
         "HD2": ["CD2"],
         "HE1": ["CE1"],
         "HE2": ["NE2"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "ND1": ["CG", "CE1", "HD1"],
         "NE2": ["CD2", "CE1", "HE2"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "ILE": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG1", "CG2", "HB"],
         "CD1": ["CG1", "HD11", "HD12", "HD13"],
         "CG1": ["CB", "CD1", "HG12", "HG13"],
         "CG2": ["CB", "HG21", "HG22", "HG23"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB": ["CB"],
         "HD11": ["CD1"],
         "HD12": ["CD1"],
         "HD13": ["CD1"],
         "HG12": ["CG1"],
         "HG13": ["CG1"],
         "HG21": ["CG2"],
         "HG22": ["CG2"],
         "HG23": ["CG2"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "LEU": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD1": ["CG", "HD11", "HD12", "HD13"],
         "CD2": ["CG", "HD21", "HD22", "HD23"],
         "CG": ["CB", "CD1", "CD2", "HG"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD11": ["CD1"],
         "HD12": ["CD1"],
         "HD13": ["CD1"],
         "HD21": ["CD2"],
         "HD22": ["CD2"],
         "HD23": ["CD2"],
         "HG": ["CG"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "LYS": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD": ["CG", "CE", "HD2", "HD3"],
         "CE": ["CD", "NZ", "HE2", "HE3"],
         "CG": ["CB", "CD", "HG2", "HG3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD2": ["CD"],
         "HD3": ["CD"],
         "HE2": ["CE"],
         "HE3": ["CE"],
         "HG2": ["CG"],
         "HG3": ["CG"],
         "HXT": ["OXT"],
         "HZ1": ["NZ"],
         "HZ2": ["NZ"],
         "HZ3": ["NZ"],
         "N": ["CA", "H", "H2"],
         "NZ": ["CE", "HZ1", "HZ2", "HZ3"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "MET": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CE": ["SD", "HE1", "HE2", "HE3"],
         "CG": ["CB", "SD", "HG2", "HG3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HE1": ["CE"],
         "HE2": ["CE"],
         "HE3": ["CE"],
         "HG2": ["CG"],
         "HG3": ["CG"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"],
         "SD": ["CG", "CE"]},
 "PHE": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD1": ["CG", "CE1", "HD1"],
         "CD2": ["CG", "CE2", "HD2"],
         "CE1": ["CD1", "CZ", "HE1"],
         "CE2": ["CD2", "CZ", "HE2"],
         "CG": ["CB", "CD1", "CD2"],
         "CZ": ["CE1", "CE2", "HZ"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD1": ["CD1"],
         "HD2": ["CD2"],
         "HE1": ["CE1"],
         "HE2": ["CE2"],
         "HXT": ["OXT"],
         "HZ": ["CZ"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "PRO": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD": ["N", "CG", "HD2", "HD3"],
         "CG": ["CB", "CD", "HG2", "HG3"],
         "H": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD2": ["CD"],
         "HD3": ["CD"],
         "HG2": ["CG"],
         "HG3": ["CG"],
         "HXT": ["OXT"],
         "N": ["CA", "CD", "H"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "SER": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "OG", "HB2", "HB3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HG": ["OG"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OG": ["CB", "HG"],
         "OXT": ["C", "HXT"]},
 "THR": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "OG1", "CG2", "HB"],
         "CG2": ["CB", "HG21", "HG22", "HG23"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB": ["CB"],
         "HG1": ["OG1"],
         "HG21": ["CG2"],
         "HG22": ["CG2"],
         "HG23": ["CG2"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OG1": ["CB", "HG1"],
         "OXT": ["C", "HXT"]},
 "TRP": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD1": ["CG", "NE1", "HD1"],
         "CD2": ["CG", "CE2", "CE3"],
         "CE2": ["CD2", "NE1", "CZ2"],
         "CE3": ["CD2", "CZ3", "HE3"],
         "CG": ["CB", "CD1", "CD2"],
         "CH2": ["CZ2", "CZ3", "HH2"],
         "CZ2": ["CE2", "CH2", "HZ2"],
         "CZ3": ["CE3", "CH2", "HZ3"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD1": ["CD1"],
         "HE1": ["NE1"],
         "HE3": ["CE3"],
         "HH2": ["CH2"],
         "HXT": ["OXT"],
         "HZ2": ["CZ2"],
         "HZ3": ["CZ3"],
         "N": ["CA", "H", "H2"],
         "NE1": ["CD1", "CE2", "HE1"],
         "O": ["C"],
         "OXT": ["C", "HXT"]},
 "TYR": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG", "HB2", "HB3"],
         "CD1": ["CG", "CE1", "HD1"],
         "CD2": ["CG", "CE2", "HD2"],
         "CE1": ["CD1", "CZ", "HE1"],
         "CE2": ["CD2", "CZ", "HE2"],
         "CG": ["CB", "CD1", "CD2"],
         "CZ": ["CE1", "CE2", "OH"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB2": ["CB"],
         "HB3": ["CB"],
         "HD1": ["CD1"],
         "HD2": ["CD2"],
         "HE1": ["CE1"],
         "HE2": ["CE2"],
         "HH": ["OH"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OH": ["CZ", "HH"],
         "OXT": ["C", "HXT"]},
 "VAL": {"C": ["CA", "O", "OXT"],
         "CA": ["N", "C", "CB", "HA"],
         "CB": ["CA", "CG1", "CG2", "HB"],
         "CG1": ["CB", "HG11", "HG12", "HG13"],
         "CG2": ["CB", "HG21", "HG22", "HG23"],
         "H": ["N"],
         "H2": ["N"],
         "HA": ["CA"],
         "HB": ["CB"],
         "HG11": ["CG1"],
         "HG12": ["CG1"],
         "HG13": ["CG1"],
         "HG21": ["CG2"],
         "HG22": ["CG2"],
         "HG23": ["CG2"],
         "HXT": ["OXT"],
         "N": ["CA", "H", "H2"],
         "O": ["C"],
         "OXT": ["C", "HXT"]}}
